MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000294VCMIMechanics - Battlespublic2009-12-04 11:352016-01-31 17:40
ReporterBoulie 
Assigned ToSXX 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.75 
Target VersionFixed in Version0.98g 
Summary0000294: Possibility to create ghost hero
DescriptionAfter battle if hero is without army not disappear.
Steps To ReproduceUse attached test map, equip orb of fire from Christian backpack and attack another hero, use Armageddon.
TagsNo tags attached.
Attached Files? file icon test.h3m [^] (9,815 bytes) 2009-12-04 11:35
zip file icon crash with ghost hero.zip [^] (52,174 bytes) 2009-12-04 11:37
jpg file icon ghost hero.jpg [^] (579,557 bytes) 2009-12-04 11:39


jpg file icon ghost hero console.jpg [^] (108,458 bytes) 2009-12-04 11:40

- Relationships
related to 0002329resolvedSXX After winning battle with temporary summoned creatures you end up with zero stack army 
related to 0001566closedvmarkovtsev Armagedon 

-  Notes
(0000377)
Boulie (reporter)
2009-12-04 11:59

The severity should be changed into crash because there is always crash after creating ghost hero.
(0005173)
SXX (administrator)
2014-11-26 03:41

In 0.97 if you use Armageddon and everyone on battlefield die then game will crash.
(0006397)
SXX (administrator)
2016-01-31 17:40

Both possibility to create ghost hero and crash are fixed now. See related issues.

- Issue History
Date Modified Username Field Change
2009-12-04 11:35 Boulie New Issue
2009-12-04 11:35 Boulie File Added: test.h3m
2009-12-04 11:37 Boulie File Added: crash with ghost hero.zip
2009-12-04 11:39 Boulie File Added: ghost hero.jpg
2009-12-04 11:40 Boulie File Added: ghost hero console.jpg
2009-12-04 11:59 Boulie Note Added: 0000377
2014-11-26 03:41 SXX Note Added: 0005173
2014-11-26 03:42 SXX Severity minor => crash
2015-04-13 14:09 AVS Relationship added related to 0001566
2015-12-05 08:04 SXX Relationship added related to 0002329
2016-01-31 17:40 SXX Note Added: 0006397
2016-01-31 17:40 SXX Status assigned => resolved
2016-01-31 17:40 SXX Fixed in Version => 0.98g
2016-01-31 17:40 SXX Resolution open => fixed
2016-01-31 17:40 SXX Assigned To Tow dragon => SXX

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean